Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		metacity
Version:	2.28.0
Release:	1
BuildArch:	i686
License:	GNU/GPL 
Group:		Graphical Desktop/Metacity
Summary:	Metacity is a windowmanager for X.
URL:		http://ftp.gnome.org/pub/gnome/sources/metacity/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

Requires(post): GConf
Requires(pre): GConf
Requires(preun): GConf

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libICE-devel
BuildRequires: libcanberra-devel libcanberra-gtk2
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: startup-notification-devel
BuildRequires: zlib-devel zenity gnome-doc-utils libvorbis-devel libogg-devel

%description 
Metacity is a simple window manager that integrates nicely with 
GNOME 2.

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/metacity.schemas > /dev/null || :

%pre 
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
   gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/metacity.schemas > /dev/null || :
fi

%preun 
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
   gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/metacity.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%define gettext_package metacity
%find_lang %{gettext_package}

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS HACKING doc/theme-format.txt doc/metacity-theme.dtd
%_bindir
#%_libdir/metacity
%_datadir/gnome
%_datadir/gnome-control-center/keybindings/*.xml
%_sysconfdir
%_datadir/metacity
%_datadir/themes
%_includedir
%_libdir/lib*.so*
%_libdir/lib*.a
%_libdir/*.la
%_pkgconfig
%_mandir
%_applications

%clean
rm -rf $RPM_BUILD_ROOT 

%changelog 
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Thu Apr 02 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.0-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.1-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.1-2
- rebuild, moved libexec
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.1-1
- Version update
* Tue Nov 01 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.13.55-1
- initial release
